import { ItemComponentRegistry } from "@minecraft/server";
import * as itemFunc from "../items";

/**
 * 
 * @param {ItemComponentRegistry} itemCompReg 
 */
export function customCompItem(itemCompReg){
	itemCompReg.registerCustomComponent("hxc:hotbar_0",{onUse: arg => {itemFunc.hotbar_0(arg.itemStack,arg.source);}});
	itemCompReg.registerCustomComponent("hxc:random_hatsu",{onUse: arg => {itemFunc.random_hatsu(arg.itemStack,arg.source);}});
	itemCompReg.registerCustomComponent("hxc:structure_load",{onUseOn: arg => {itemFunc.structure_load(arg.source,arg.itemStack,arg.block);}});
};